cdac.medinfo.ccd.datatype

## Class EN

- java.lang.Object
- - cdac.medinfo.ccd.datatype.EN

- Direct Known Subclasses:
    ON, PN, TN

      public class EN
      extends java.lang.Object

  A name for a person, organization, place or thing. A sequence of name parts, such as given name or family name, prefix, suffix, etc. Examples for entity name values are "Jim Bob Walton, Jr.", "Health Level Seven, Inc.", "Lake Tahoe", etc. An entity name may be as simple as a character string or may consist of several entity name parts, such as, "Jim", "Bob", "Walton", and "Jr.", "Health Level Seven" and "Inc.", "Lake" and "Tahoe".

  Java class for EN complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EN">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ANY">
             <sequence>
               <choice maxOccurs="unbounded" minOccurs="0">
                 <element name="delimiter" type="{urn:hl7-org:v3}en.delimiter"/>
                 <element name="family" type="{urn:hl7-org:v3}en.family"/>
                 <element name="given" type="{urn:hl7-org:v3}en.given"/>
                 <element name="prefix" type="{urn:hl7-org:v3}en.prefix"/>
                 <element name="suffix" type="{urn:hl7-org:v3}en.suffix"/>
               </choice>
               <element name="validTime" type="{urn:hl7-org:v3}IVL_TS" minOccurs="0"/>
             </sequence>
             <attribute name="use" type="{urn:hl7-org:v3}set_EntityNameUse" />
           </extension>
         </complexContent>
       </complexType>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EN()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.io.Serializable>` | `getContent()` A name for a person, organization, place or thing.
    `java.util.List<java.lang.String>` | `getUse()` Gets the value of the use property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EN

          public EN()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.io.Serializable> getContent()

      A name for a person, organization, place or thing. A sequence of name parts, such as given name or family name, prefix, suffix, etc. Examples for entity name values are "Jim Bob Walton, Jr.", "Health Level Seven, Inc.", "Lake Tahoe", etc. An entity name may be as simple as a character string or may consist of several entity name parts, such as, "Jim", "Bob", "Walton", and "Jr.", "Health Level Seven" and "Inc.", "Lake" and "Tahoe". Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``EnDelimiter``>` `JAXBElement``<``EnFamily``>` `JAXBElement``<``IVLTS``>` `JAXBElement``<``EnPrefix``>` `JAXBElement``<``EnGiven``>` `String` `JAXBElement``<``EnSuffix``>`

    - #### getUse

          public java.util.List<java.lang.String> getUse()

      Gets the value of the use property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the use property.

      For example, to add a new item, do as follows:

              getUse().add(newItem);

      Objects of the following type(s) are allowed in the list `String`